package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.AchievementDemand;
import com.goafanti.common.model.DemandKeyword;

public interface DemandKeywordMapper {
    int deleteByPrimaryKey(String id);

    int insert(DemandKeyword record);

    int insertSelective(DemandKeyword record);

    DemandKeyword selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(DemandKeyword record);

    int updateByPrimaryKey(DemandKeyword record);

	void insertBatch(List<DemandKeyword> list);

	int batchDeleteByDemandId(String demandId);

	int batchDeleteByDemandIds(List<String> id);

	List<DemandKeyword> selectKeywordsByDemandId(String id);

	List<AchievementDemand> selectAchievementDemand(List<String> keywords);
}